---
layout: docs
page_title: 'Commands: node pool init'
description: |
  Generate an example node pool specification.
---

# Command: node pool init

The `node pool init` creates an example node pool specification file that can be
used as a starting point to customize further.

## Usage

```plaintext
nomad node pool init <filename>
```

When no filename is supplied, a default filename of "pool.nomad.hcl" or
"pool.nomad.json" will be used depending on the output format.

## Init Options

- `-out` `(enum: hcl | json)`: Format of generated node pool
  specification. Defaults to `hcl`.

- `-quiet`: Do not print success message.

## Examples

Create an example node pool specification:

```shell-session
$ nomad node pool init
Example node pool specification written to pool.nomad.hcl
```
